import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/admin/pop/page`,
    method: 'post',
    data
  })
}

// 新增 编辑
export function submit(data) {
  return request({
    url: `/admin/pop/addOrUpdate`,
    method: 'post',
    data
  })
}

// 详情
export function detail(id) {
  return request({
    url: `/admin/pop/queryById/${id}`,
    method: 'get'
  })
}

// 删除
export function remove(id, status) {
  return request({
    url: `/admin/pop/hitOrSold/${id}/${status}`,
    method: 'get'
  })
}